Subject: intermittent problem generating autoloads

From: Glenn Morris <[email-masked]>
Date: Mon, 04 Jan 2016 20:35:03 -0500

Package: emacs
Version: 25.0.50

There is some kind of heisenbug that shows up with autoload generation
from time-to-time. It occurs in non-parallel builds (so a parallel make
problem is not the cause).

See some examples:

http://lists.gnu.org/archive/html/emacs-devel/2015-11/msg01610.html
  GEN      loaddefs.el
    End of file during parsing 

http://hydra.nixos.org/build/29135353/log/raw
  GEN      calendar/diary-loaddefs.el
  Loading macroexp.elc...
  cal-julian.el:0:0: error: end-of-file: nil
  make[3]: *** [calendar/diary-loaddefs.el] Error 255

(The above error persisted for two builds, then went away for no
apparent reason.)

http://hydra.nixos.org/build/29917548/log/raw
  ELC      calendar/appt.elc
  Eager macro-expansion failure: (void-variable cal-iso\.el)
  In toplevel form:
  calendar/appt.el:73:1:Error: Symbol's value as variable is void: cal-iso\.el

(I guess the cause of the above was a corrupt diary-loaddefs.)

I have no idea what causes it, nor why it only happens sometimes.
I guess adding some more debug code to the autoload generation that
looks out for such issues is the way to get more information.